%if 0%{?rhel} && 0%{?rhel} <= 7
%{!?__python2: %global __python2 %{__python}}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global module_name pyprintr

Name:		python-%{module_name}
Version:	1.0
Release:	4%{?dist}
Summary:	Module that allows to emulate the print_r() PHP function
Group:		Development/Libraries

License:	GPLv3
URL:		http://www.python-printr.org/
Source0:	https://pypi.python.org/packages/source/p/%{module_name}/%{module_name}-%{version}.tar.gz

BuildRequires:	python2-devel

BuildArch:	noarch

%description
pyprintr is a module that allows to emulate the print_r() function of PHP
by printing the objects properties of a class instance and its internal
structure.


%prep
%setup -q -n %{module_name}-%{version}

#Fix invalid shebang
sed -e '1s/!//' printr/__init__.py


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --prefix=%{_prefix} --root=%{buildroot}


%files
%doc README.txt LICENSE.txt docs/howto.txt
%{python2_sitelib}/printr/
%{python2_sitelib}/%{module_name}-%{version}-py?.?.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 01 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0-3
- Adding workaround for versioned %%{__python2} macros for EPEL

* Fri Jul 25 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0-2
- Adding BuildArch tag
- Fixing invalid shebang issue

* Fri Apr 25 2014 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.0-1 
- Initial packaging
